netatalk: uams_guest.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
uams_guest.c File Reference
`#include <errno.h>`
`#include <pwd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <atalk/afp.h>`
`#include <atalk/compat.h>`
`#include <atalk/logger.h>`
`#include <atalk/uam.h>`
`#include <atalk/util.h>`

## Functions
UAM_MODULE_EXPORT void | append (struct papfile *, const char *, int)
static int | noauth_login (void *obj, struct passwd **uam_pwd, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
static int | noauth_login_ext (void *obj, char *uname, struct passwd **uam_pwd, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
static int | noauth_printer (char *start, char *stop, char *username, struct papfile *out)
static int | uam_setup (void *handle, const char *path)
static void | uam_cleanup (void)

## Variables
UAM_MODULE_EXPORT struct uam_export | uams_guest

## Function Documentation

## ◆ append()

UAM_MODULE_EXPORT void append | ( | struct papfile * | pf,
|  | const char * | data,
|  | int | len )
| extern

## ◆ noauth_login()

int noauth_login | ( | void * | obj,
|  | struct passwd ** | uam_pwd,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )
| static

login and login_ext are almost the same

## ◆ noauth_login_ext()

int noauth_login_ext | ( | void * | obj,
|  | char * | uname,
|  | struct passwd ** | uam_pwd,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )
| static

## ◆ noauth_printer()

int noauth_printer | ( | char * | start,
|  | char * | stop,
|  | char * | username,
|  | struct papfile * | out )
| static

Printer NoAuthUAM Login

## ◆ uam_cleanup()

void uam_cleanup | ( | void |  | ) |
| static

## ◆ uam_setup()

int uam_setup | ( | void * | handle,
|  | const char * | path )
| static

## Variable Documentation

## ◆ uams_guest

UAM_MODULE_EXPORT struct uam_export uams_guest

Initial value:
= {
UAM_MODULE_SERVER,
UAM_MODULE_VERSION,
uam_setup, uam_cleanup
}
UAM_MODULE_VERSION
#define UAM_MODULE_VERSION
Definition uam.h:21
UAM_MODULE_SERVER
#define UAM_MODULE_SERVER
Definition uam.h:17
uam_setup
static int uam_setup(void *obj, const char *path)
Definition uams_dhx2_pam.c:1077
uam_cleanup
static void uam_cleanup(void)
Definition uams_dhx2_pam.c:1099